Xerces2 Implementation: Class XMLEventFactoryImpl

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.stax
Class XMLEventFactoryImpl

    java.lang.Object
      |
      +--javax.xml.stream.XMLEventFactory
            |
            +--org.apache.xerces.stax.XMLEventFactoryImpl

public final class XMLEventFactoryImpl
extends javax.xml.stream.XMLEventFactory

Implementation of XMLEventFactory.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: XMLEventFactoryImpl.java 730796 2009-01-02 17:36:23Z mrglavas $

Constructor Summary
`XMLEventFactoryImpl()`

Method Summary
`javax.xml.stream.events.Attribute` | `createAttribute(javax.xml.namespace.QName name, java.lang.String value)`
`javax.xml.stream.events.Attribute` | `createAttribute(java.lang.String localName, java.lang.String value)`
`javax.xml.stream.events.Attribute` | `createAttribute(java.lang.String prefix, java.lang.String namespaceURI, java.lang.String localName, java.lang.String value)`
`javax.xml.stream.events.Characters` | `createCData(java.lang.String content)`
`javax.xml.stream.events.Characters` | `createCharacters(java.lang.String content)`
`javax.xml.stream.events.Comment` | `createComment(java.lang.String text)`
`javax.xml.stream.events.DTD` | `createDTD(java.lang.String dtd)`
`javax.xml.stream.events.EndDocument` | `createEndDocument()`
`javax.xml.stream.events.EndElement` | `createEndElement(javax.xml.namespace.QName name, java.util.Iterator namespaces)`
`javax.xml.stream.events.EndElement` | `createEndElement(java.lang.String prefix, java.lang.String namespaceUri, java.lang.String localName)`
`javax.xml.stream.events.EndElement` | `createEndElement(java.lang.String prefix, java.lang.String namespaceUri, java.lang.String localName, java.util.Iterator namespaces)`
`javax.xml.stream.events.EntityReference` | `createEntityReference(java.lang.String name, javax.xml.stream.events.EntityDeclaration declaration)`
`javax.xml.stream.events.Characters` | `createIgnorableSpace(java.lang.String content)`
`javax.xml.stream.events.Namespace` | `createNamespace(java.lang.String namespaceURI)`
`javax.xml.stream.events.Namespace` | `createNamespace(java.lang.String prefix, java.lang.String namespaceUri)`
`javax.xml.stream.events.ProcessingInstruction` | `createProcessingInstruction(java.lang.String target, java.lang.String data)`
`javax.xml.stream.events.Characters` | `createSpace(java.lang.String content)`
`javax.xml.stream.events.StartDocument` | `createStartDocument()`
`javax.xml.stream.events.StartDocument` | `createStartDocument(java.lang.String encoding)`
`javax.xml.stream.events.StartDocument` | `createStartDocument(java.lang.String encoding, java.lang.String version)`
`javax.xml.stream.events.StartDocument` | `createStartDocument(java.lang.String encoding, java.lang.String version, boolean standalone)`
`javax.xml.stream.events.StartElement` | `createStartElement(javax.xml.namespace.QName name, java.util.Iterator attributes, java.util.Iterator namespaces)`
`javax.xml.stream.events.StartElement` | `createStartElement(java.lang.String prefix, java.lang.String namespaceUri, java.lang.String localName)`
`javax.xml.stream.events.StartElement` | `createStartElement(java.lang.String prefix, java.lang.String namespaceUri, java.lang.String localName, java.util.Iterator attributes, java.util.Iterator namespaces)`
`javax.xml.stream.events.StartElement` | `createStartElement(java.lang.String prefix, java.lang.String namespaceUri, java.lang.String localName, java.util.Iterator attributes, java.util.Iterator namespaces, javax.xml.namespace.NamespaceContext context)`
`void` | `setLocation(javax.xml.stream.Location location)`

Methods inherited from class javax.xml.stream.XMLEventFactory
`newInstance, newInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLEventFactoryImpl

    public XMLEventFactoryImpl()

Method Detail

### setLocation

    public void setLocation(javax.xml.stream.Location location)

  Overrides:
    `setLocation` in class `javax.xml.stream.XMLEventFactory`

### createAttribute

    public javax.xml.stream.events.Attribute createAttribute(java.lang.String prefix,
                                                             java.lang.String namespaceURI,
                                                             java.lang.String localName,
                                                             java.lang.String value)

  Overrides:
    `createAttribute` in class `javax.xml.stream.XMLEventFactory`

### createAttribute

    public javax.xml.stream.events.Attribute createAttribute(java.lang.String localName,
                                                             java.lang.String value)

  Overrides:
    `createAttribute` in class `javax.xml.stream.XMLEventFactory`

### createAttribute

    public javax.xml.stream.events.Attribute createAttribute(javax.xml.namespace.QName name,
                                                             java.lang.String value)

  Overrides:
    `createAttribute` in class `javax.xml.stream.XMLEventFactory`

### createNamespace

    public javax.xml.stream.events.Namespace createNamespace(java.lang.String namespaceURI)

  Overrides:
    `createNamespace` in class `javax.xml.stream.XMLEventFactory`

### createNamespace

    public javax.xml.stream.events.Namespace createNamespace(java.lang.String prefix,
                                                             java.lang.String namespaceUri)

  Overrides:
    `createNamespace` in class `javax.xml.stream.XMLEventFactory`

### createStartElement

    public javax.xml.stream.events.StartElement createStartElement(javax.xml.namespace.QName name,
                                                                   java.util.Iterator attributes,
                                                                   java.util.Iterator namespaces)

  Overrides:
    `createStartElement` in class `javax.xml.stream.XMLEventFactory`

### createStartElement

    public javax.xml.stream.events.StartElement createStartElement(java.lang.String prefix,
                                                                   java.lang.String namespaceUri,
                                                                   java.lang.String localName)

  Overrides:
    `createStartElement` in class `javax.xml.stream.XMLEventFactory`

### createStartElement

    public javax.xml.stream.events.StartElement createStartElement(java.lang.String prefix,
                                                                   java.lang.String namespaceUri,
                                                                   java.lang.String localName,
                                                                   java.util.Iterator attributes,
                                                                   java.util.Iterator namespaces)

  Overrides:
    `createStartElement` in class `javax.xml.stream.XMLEventFactory`

### createStartElement

    public javax.xml.stream.events.StartElement createStartElement(java.lang.String prefix,
                                                                   java.lang.String namespaceUri,
                                                                   java.lang.String localName,
                                                                   java.util.Iterator attributes,
                                                                   java.util.Iterator namespaces,
                                                                   javax.xml.namespace.NamespaceContext context)

  Overrides:
    `createStartElement` in class `javax.xml.stream.XMLEventFactory`

### createEndElement

    public javax.xml.stream.events.EndElement createEndElement(javax.xml.namespace.QName name,
                                                               java.util.Iterator namespaces)

  Overrides:
    `createEndElement` in class `javax.xml.stream.XMLEventFactory`

### createEndElement

    public javax.xml.stream.events.EndElement createEndElement(java.lang.String prefix,
                                                               java.lang.String namespaceUri,
                                                               java.lang.String localName)

  Overrides:
    `createEndElement` in class `javax.xml.stream.XMLEventFactory`

### createEndElement

    public javax.xml.stream.events.EndElement createEndElement(java.lang.String prefix,
                                                               java.lang.String namespaceUri,
                                                               java.lang.String localName,
                                                               java.util.Iterator namespaces)

  Overrides:
    `createEndElement` in class `javax.xml.stream.XMLEventFactory`

### createCharacters

    public javax.xml.stream.events.Characters createCharacters(java.lang.String content)

  Overrides:
    `createCharacters` in class `javax.xml.stream.XMLEventFactory`

### createCData

    public javax.xml.stream.events.Characters createCData(java.lang.String content)

  Overrides:
    `createCData` in class `javax.xml.stream.XMLEventFactory`

### createSpace

    public javax.xml.stream.events.Characters createSpace(java.lang.String content)

  Overrides:
    `createSpace` in class `javax.xml.stream.XMLEventFactory`

### createIgnorableSpace

    public javax.xml.stream.events.Characters createIgnorableSpace(java.lang.String content)

  Overrides:
    `createIgnorableSpace` in class `javax.xml.stream.XMLEventFactory`

### createStartDocument

    public javax.xml.stream.events.StartDocument createStartDocument()

  Overrides:
    `createStartDocument` in class `javax.xml.stream.XMLEventFactory`

### createStartDocument

    public javax.xml.stream.events.StartDocument createStartDocument(java.lang.String encoding,
                                                                     java.lang.String version,
                                                                     boolean standalone)

  Overrides:
    `createStartDocument` in class `javax.xml.stream.XMLEventFactory`

### createStartDocument

    public javax.xml.stream.events.StartDocument createStartDocument(java.lang.String encoding,
                                                                     java.lang.String version)

  Overrides:
    `createStartDocument` in class `javax.xml.stream.XMLEventFactory`

### createStartDocument

    public javax.xml.stream.events.StartDocument createStartDocument(java.lang.String encoding)

  Overrides:
    `createStartDocument` in class `javax.xml.stream.XMLEventFactory`

### createEndDocument

    public javax.xml.stream.events.EndDocument createEndDocument()

  Overrides:
    `createEndDocument` in class `javax.xml.stream.XMLEventFactory`

### createEntityReference

    public javax.xml.stream.events.EntityReference createEntityReference(java.lang.String name,
                                                                         javax.xml.stream.events.EntityDeclaration declaration)

  Overrides:
    `createEntityReference` in class `javax.xml.stream.XMLEventFactory`

### createComment

    public javax.xml.stream.events.Comment createComment(java.lang.String text)

  Overrides:
    `createComment` in class `javax.xml.stream.XMLEventFactory`

### createProcessingInstruction

    public javax.xml.stream.events.ProcessingInstruction createProcessingInstruction(java.lang.String target,
                                                                                     java.lang.String data)

  Overrides:
    `createProcessingInstruction` in class `javax.xml.stream.XMLEventFactory`

### createDTD

    public javax.xml.stream.events.DTD createDTD(java.lang.String dtd)

  Overrides:
    `createDTD` in class `javax.xml.stream.XMLEventFactory`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.